Bug 173836 - kpdf does not build with modular-X
kpdf does not build with modular-X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 15:17 EST by Sammy
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 06:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for kdegraphics to find xft (503 bytes, patch)
2005-11-21 15:19 EST, Sammy
no flags Details | Diff

  None (edit)
Description Sammy 2005-11-21 15:17:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko)

Description of problem:
One more report! 
 
With the new modular X packages the Xft is not provided and the configure 
script for kdegraphics package does not use pkg-config and therefor decides 
to not to build kpdf. 
 
I don't have a very elegant way of solving this but if I put the attach 
patch after the call to Makefile.cvs block than configure runs twice and 
picks up the righ dependence second time around. 
 
 

Version-Release number of selected component (if applicable):
kdegraphics-rawhide

How reproducible:
Always

Steps to Reproduce:
1. Try to build kdegraphics package under current rawhide  
2.  
3.  
    

Additional info:
Comment 1 Sammy 2005-11-21 15:19:02 EST
Created attachment 121310 [details]
patch for kdegraphics to find xft
Comment 2 Jesse Barnes 2005-12-09 11:34:57 EST
Will this be solved anytime soon?  I really miss kpdf... 
Comment 3 Ngo Than 2005-12-12 06:08:26 EST
it's now fixed in 3.5.0-2. Many thanks for your report,
Comment 4 Mary Ellen Foster 2006-02-05 14:23:18 EST
It appears to be broken again in kdegraphics-3.5.1-1 -- at least, kpdf isn't
installed since I did that update, although its documentation is still there.
Apologies for crying wolf if it's actually a different underlying cause this time.
Comment 5 Sammy 2006-02-05 15:47:21 EST
It seems to be the same problem. Old patch still works.

One more thing, last time I did this the build complained that
qt support for poppler was not there and kpdf info would not be
build. I took the rawhide poppler rpm and rebuilt it and somehow
qt support was automatically in there. I don't know how they could
not have had that in the rawhide rpms! Anyway, I had filed a bug
report under poppler but did not here back!
Comment 6 Ngo Than 2006-02-06 05:14:55 EST
i will take a look here
Comment 7 Mary Ellen Foster 2006-02-06 05:19:26 EST
NB: kdegraphics-3.5.1-0.1.fc4 on FC4 *does* still have kpdf in it; this seems to
be a Rawhide-only issue.
Comment 8 Ngo Than 2006-02-16 10:27:57 EST
it's now fixed in kdegraphics-3.5.1-3, which will be available in rawhide soon.
Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.